Bug 448610 - iwl4965/Network Manager problem with suspend/resume
iwl4965/Network Manager problem with suspend/resume
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 16:28 EDT by Joel Eidsath
Modified: 2008-12-18 13:46 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-18 13:46:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log of problem (identities changed to protect the innocent) (6.79 KB, text/plain)
2008-05-27 16:28 EDT, Joel Eidsath
no flags Details

  None (edit)
Description Joel Eidsath 2008-05-27 16:28:52 EDT
Description of problem: 
After suspend/resume, Network Manager sometimes fails to reconnect to the
network. Sometimes the list of available networks will be incomplete, and there
is no way to refresh it. Sometimes Network Manager will ask for new secrets to
reconnect to the old network. This may be related to bug 251072 filed for RHEL
5. Several iwl4965 errors appear in the attached log file.

How reproducible: 
The problem occurs frequently, but not every time. 

Steps to Reproduce:
1. Connect to a wireless network using WPA/PSK.
2. Suspend the laptop.
3. Resume the laptop.
4. Wait for Network Manager to reconnect to the network.
  
Actual results:
Network Manager does not reconnect. It sometimes asks for new secrets. It
sometimes does not see most of the available wireless networks.

Expected results:
Network Manager should reconnect to the original wireless network, or to a new
one with higher precedence, if available.

Additional Info:
I've attached the log file from a session that asked for new secrets. There are
several iwl4965 errors.
Comment 1 Joel Eidsath 2008-05-27 16:28:53 EDT
Created attachment 306831 [details]
Log of problem (identities changed to protect the innocent)
Comment 2 Dan Williams 2008-05-28 11:26:23 EDT
driver issue it seems
Comment 3 John W. Linville 2008-05-28 12:56:06 EDT
Can you recreate this issue with these kernels?

   http://koji.fedoraproject.org/koji/buildinfo?buildID=50055
Comment 4 Joel Eidsath 2008-05-28 14:42:38 EDT
Yes, the problem still exists. I updated to the 2.6.25.4-30.fc9.x86_64 kernel
and booted into it. After closing the laptop to suspend it, I resumed, and it
found the network, although there was a delay before it attempted to connect,
which is unusual. /var/log/messages claimed that the wlan0 link timed out.

Then I repeated the experiment, closing the laptop again. The second time it 
requested secrets before connecting, which was the initial problem.

However, all of the iwl4965 errors have now disappeared from the logs. They were
definitely present on the previous kernel.   
Comment 5 John W. Linville 2008-08-25 16:24:17 EDT
Similar problems have been reported as gone with more recent kernels.  Can you still observe this problem with current kernels?  If so, please include the output of 'uname -r'...thanks!
Comment 6 Michael Ekstrand 2008-09-08 12:28:02 EDT
I see similar behavior on 2.6.25.11-97.fc9.x86_64 (2.6.25.14-108.fc9 doesn't even let me connect to WPA networks, so I don't know if this problem is fixed there).
Comment 7 John W. Linville 2008-11-13 10:21:05 EST
The WPA problem with -108.fc9 was corrected a long time ago.  Can you try a current kernel?
Comment 8 John W. Linville 2008-12-18 13:46:07 EST
Closed due to lack of reponse...

Note You need to log in before you can comment on or make changes to this bug.